import csv

def index_tableau(nomDeFichier):
    '''
    cette fonction transforme les données comprises dans un fichier csv
    d'une ligne en tableau python.
    nomDeFichier est de type str, c'est le nom du fichier sur le disque dur.
    la fonction *renvoie* un tableau python
    '''
    tab=[]
    with open(nomDeFichier,'r',encoding='utf-8') as f:
        lecteur=csv.reader(f,delimiter=',')
        for row in lecteur:
            for element in row:
                tab.append(int(element))
    return tab

def recherche_naive(tableau:list, valeur: int) :
    '''
    recherche de valeur dans tableau
    si valeur est rpésente, laa fonction revoie True
    sinon elle renvoie False
    méthode naive
    '''
    for element in tableau:
        if element == valeur:
            return True
    return False



def recherche_python(tableau:list, valeur: int):
    '''
    recherche de valeur dans tableau
    si valeur est rpésente, laa fonction revoie True
    sinon elle renvoie False
    méthode de recherche de python
    '''
    if valeur in tableau:
        return True
    else:
        return False


